
QGIS Application - Bug report #10042

QGIS 2.2 randomly crashing when panning a project with lots of data

2014-04-10 01:49 AM - Admire Nyakudya

Status: Closed

Priority: High

Assignee:

Category: Map Canvas

Affected QGIS version:2.2.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 18523

Description

I have a project that contains aerial photos, vector data coming from a spatialite database and whenever I try to draw all layers and pan

around the map QGIS 2.2 just crashes randomly. If however I pan around the same project with all layers on in QGIS 2.0 it works

absolutely fantastic.

History

#1 - 2014-04-10 01:55 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from No to Yes

Can you provide more info?

What OS do you use? if you use Linux can you provide the terminal message when qgis crashes? or if you use Windows attach the minidump file.

Have you tried disabling all the plugins?

#2 - 2014-04-10 02:57 AM - Admire Nyakudya

- File trace.txt added

I am using Ubuntu 13.10 and I have attached the stack trace from when I start QGIS from the terminal. I have tried disabling all the plugins and still it

crashes.

#3 - 2014-04-11 10:44 AM - Gary Sherman

- Operating System set to Windows

- OS version set to 7

- File qgis-20140411-093555-5876-3712-c3a2817.dmp.bz2 added

We're seeing similar issues on Windows 7. Attached is the mini-dump.

#4 - 2014-10-23 02:18 PM - Jürgen Fischer

- Category set to Map Canvas
#5 - 2015-12-26 07:30 AM - Giovanni Manghi

Can someone test now with one of the latest releases/master? this could have been triggered by issues with multithreading, that as far as I know they have

solved in the meantime.

#6 - 2015-12-27 07:57 AM - Martin Dobias

Just a note that multithreading was integrated in 2.4 so it can't affect version 2.2

#7 - 2016-01-13 10:18 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to not reproducable

closing for lack of feedback, please reopen if necessary.

Files

trace.txt 4.83 KB 2014-04-10 Admire Nyakudya

qgis-20140411-093555-5876-3712-c3a2817.dmp.bz2 4.94 MB 2014-04-11 Gary Sherman
